Android – Eclipse:Unable to set up sdk path in preference

androideclipsepathsdk

I am facing some problem Eclipse.
When i open the eclipse it shows a message

This Android SDK requires Android Developer Toolkit version 22.0.0 or
above Current version is 16.0.xxxxxxxxxxxx Please update to latest ADT
version

I tried to open the sdk manager in eclipse it is showing that

Location of Android SDK has not been set up in Preference

Previously i setup everything and i was running apps in eclipse.Don't know suddenly what happened.

I checked preference ,there sdk path is given but there its showing that

This Android SDK requires Android Developer Toolkit version 22.0.0 or
above. Current version is 16.0.1.v201112150204-238534. Please update
ADT to the latest version.

I have checked the sdk path from windows explorer and updated it to latest 22.o.after that I restarted the Eclipse but then also same messages are showing in eclipse.Now i am unable to use it .Can anyone help?

Also I have seen somewhere that tools folder may be missing.But my case it is there.
I am using Eclipse Indigo,windows 7.

Best Solution

When you update your android sdk with the sdk manager, try each time to update the ADT eclipse plugin. So, in eclipse, go to "Help"-> "Check for updtade" and update the ADT plugin.